can: XCan Struct Reference

| can Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XCan Struct Reference
Can_v3_3

The XCan driver instance data. More...

## Data Fields
UINTPTR | BaseAddress
| Device Base address. More...
u32 | IsReady
| Device is initialized and ready. More...
u8 | NumOfAcceptFilters
| Number of Acceptance Filters. More...
XCan_SendRecvHandler | SendHandler
| Callback for TXOK interrupt. More...
void * | SendRef
| This will be passed to the TXOK interrupt callback. More...
XCan_SendRecvHandler | RecvHandler
| Callback for RXOK/RXNEMP interrupts. More...
void * | RecvRef
| This will be passed to the RXOK/RXNEMP interrupt callback. More...
XCan_ErrorHandler | ErrorHandler
| Callback for ERROR interrupt. More...
void * | ErrorRef
| This will be passed to the ERROR interrupt callback. More...
XCan_EventHandler | EventHandler
| Callback for RXOFLW/RXUFLW/TXBFLL/TXFLL/Wakeup/Sleep/Bus off/ARBLST interrupts. More...
void * | EventRef
| This will be passed to the EventHandler callback. More...

## Detailed Description

The XCan driver instance data.

The user is required to allocate a variable of this type for every CAN device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

UINTPTR XCan::BaseAddress

Device Base address.

Referenced by XCan_AcceptFilterDisable(), XCan_AcceptFilterEnable(), XCan_AcceptFilterGet(), XCan_AcceptFilterGetEnabled(), XCan_AcceptFilterSet(), XCan_ClearBusErrorStatus(), XCan_EnterMode(), XCan_GetBaudRatePrescaler(), XCan_GetBitTiming(), XCan_GetBusErrorCounter(), XCan_GetBusErrorStatus(), XCan_GetStatus(), XCan_Initialize(), XCan_InterruptClear(), XCan_InterruptDisable(), XCan_InterruptEnable(), XCan_InterruptGetEnabled(), XCan_InterruptGetStatus(), XCan_Recv(), XCan_Reset(), XCan_Send(), XCan_SendHighPriority(), XCan_SetBaudRatePrescaler(), XCan_SetBitTiming(), and XCan_VmInitialize().

XCan_ErrorHandler XCan::ErrorHandler

Callback for ERROR interrupt.

Referenced by XCan_IntrHandler(), and XCan_SetHandler().

void* XCan::ErrorRef

This will be passed to the ERROR interrupt callback.

Referenced by XCan_IntrHandler(), and XCan_SetHandler().

XCan_EventHandler XCan::EventHandler

Callback for RXOFLW/RXUFLW/TXBFLL/TXFLL/Wakeup/Sleep/Bus off/ARBLST interrupts.

Referenced by XCan_IntrHandler(), and XCan_SetHandler().

void* XCan::EventRef

This will be passed to the EventHandler callback.

Referenced by XCan_IntrHandler(), and XCan_SetHandler().

u32 XCan::IsReady

Device is initialized and ready.

Referenced by XCan_AcceptFilterDisable(), XCan_AcceptFilterEnable(), XCan_AcceptFilterGet(), XCan_AcceptFilterGetEnabled(), XCan_AcceptFilterSet(), XCan_ClearBusErrorStatus(), XCan_EnterMode(), XCan_GetBaudRatePrescaler(), XCan_GetBitTiming(), XCan_GetBusErrorCounter(), XCan_GetBusErrorStatus(), XCan_GetMode(), XCan_GetStatus(), XCan_InterruptClear(), XCan_InterruptDisable(), XCan_InterruptEnable(), XCan_InterruptGetEnabled(), XCan_InterruptGetStatus(), XCan_IntrHandler(), XCan_Recv(), XCan_Reset(), XCan_SelfTest(), XCan_Send(), XCan_SendHighPriority(), XCan_SetBaudRatePrescaler(), XCan_SetBitTiming(), and XCan_SetHandler().

u8 XCan::NumOfAcceptFilters

Number of Acceptance Filters.

Referenced by XCan_AcceptFilterDisable(), XCan_AcceptFilterEnable(), XCan_AcceptFilterGet(), XCan_AcceptFilterGetEnabled(), and XCan_AcceptFilterSet().

XCan_SendRecvHandler XCan::RecvHandler

Callback for RXOK/RXNEMP interrupts.

Referenced by XCan_IntrHandler(), and XCan_SetHandler().

void* XCan::RecvRef

This will be passed to the RXOK/RXNEMP interrupt callback.

Referenced by XCan_IntrHandler(), and XCan_SetHandler().

XCan_SendRecvHandler XCan::SendHandler

Callback for TXOK interrupt.

Referenced by XCan_IntrHandler(), and XCan_SetHandler().

void* XCan::SendRef

This will be passed to the TXOK interrupt callback.

Referenced by XCan_IntrHandler(), and XCan_SetHandler().